@extends('layout')


@section('content')

<div class="page-header page-header-default">
	<div class="breadcrumb-line">
		<ul class="breadcrumb">
			<li><a href="{{ url('saldoawal') }}"><i class="icon-home2 position-left"></i> Keuangan</a></li>
			<li class="active">Perkiraan Saldo Awal</li>
		</ul>
	</div>
</div>

<div class="content">
	<div class="panel panel-flat">
		<div class="panel-heading">
			<h5 class="panel-title">Perkiraan Saldo Awal</h5>
			<div class="heading-elements">
				<ul class="icons-list">
		      		<li><a data-action="collapse"></a></li>
		      	</ul>
	       	</div>
	    </div>
	    <div class="panel-body">
	    	<div class="col-sm-3">
	    		<button class="btn btn-primary" id="btn_tambah_perkiraan"><i class=""></i>Tambah</button>
	    	</div>
	    	<div class="col-sm-3">&nbsp;</div>
	    	<div class="col-sm-6">
	    	<form class="form-horizontal" autocomplete="off" method="post" action="{{url('saldoawal/simpan_tanggal')}}">
	    	<input type="hidden" name="_token" value="{{ csrf_token() }}">
	    	<input type="hidden" name="id_tanggal_saldoawal" value="{{$data['data']['id_tanggal_saldoawal']}}">	    		
	    		<div class="form-group">
      				<label class="control-label col-sm-1">Periode:</label>
      				<div class="col-sm-4">
      					<input type="text" name="tglawal" class="form-control datepicker" placeholder="Tanggal Mulai" value="{{($data['data']['tanggal_awal']=='') ? $data['data']['tanggal_pertama']:$data['data']['tanggal_awal']}}">
      				</div>
      				<label class="control-label col-sm-1">sampai</label>
      				<div class="col-sm-4">
      					<input type="text" name="tglakhir" class="form-control datepicker" placeholder="Tanggal Selesai" value="{{ ($data['data']['tanggal_terakhir']) ? $data['data']['tanggal_terakhir']:$data['data']['tanggal_akhir']}}">
      				</div>
		  			<div class="col-sm-1">
		  				<button type="submit" class="btn btn-warning">Set</button>
		  			</div>
      			</div>

	      	</form>
	    	</div>
	    </div>
	    <table class="table table-stripped" id="table_perkiraan">
	    	<thead>
				<tr>
					<th>No</th>
					<th>Kode Perkiraan</th>
					<th>Nama Perkiraan</th>
					<th>Saldo Normal</th>
					<th>Saldo Awal</th>
					<!-- <th>Periode</th> -->
					<th class="text-center">Aksi</th>
				</tr>
			</thead>
			<tbody id="tabel_perkiraan">
				
			</tbody>
	    </table>
	     
	</div>
</div>

<div class="modal fade" id="exampleModal"  role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
	    <div class="modal-content">
	    	<div class="modal-header">
	    		<h5 class="modal-title" id="exampleModalLabel">Form Input Perkiraan</h5>
	    		<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span></button>
	      	</div>
	      	<div class="modal-body">
	      		<form class="form-horizontal" autocomplete="off" id="form_perkiraan">
	      			<input type="hidden" name="popup_id">
	      			<input type="hidden" name="popup_temp_idperkiraan" value="0">
	      			<!-- <input type="hidden" name="popup_tahun"> -->

	      			<div class="form-group">
	      				<label class="control-label col-sm-3">Perkiraan</label>
	      				<div class="col-sm-9">
	      					<select name="popup_perkiraan" class="form-control select-search">

	      					</select>
	      					<span class="help-block popup_status_id_perkiraan text-danger"></span>
	      					<!-- <input type="text" id="popup_perkiraanedit" class="form-control" readonly="">
	      					<input type="text" name="popup_perkiraanedit" class="form-control"> -->
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-3">Nominal</label>
	      				<div class="col-sm-9">
	      					<input type="text" name="popup_nominal" class="form-control text-right">
	      					<p class="pull-right" id="help_nominal"></p>
	      				</div>
	      			</div>

	      	</div>
	      	<div class="modal-footer">
	        	<button type="button" class="btn btn-primary" id="btn_popup_simpan">Simpan</button>
	      	</div>
	    </div>
	</div>
</div>

<input type="hidden" name="store_id">
<input type="hidden" name="store_lastid">
<input type="hidden" name="store_parent">

<script type="text/javascript"> 
	var tp;
	var arrIdAkunSaldo = [];

	$(document).ready(function(){
		tp = $("#table_perkiraan").DataTable({
			processing: true,
	        serverSide: true,
	        ajax: '{{ url('saldoawal/tampil_parent') }}',
	        columns: [
	            {data: 'kode_perkiraan', name: 'kode_perkiraan', orderable: false, searchable: false, render : function(data, type, full, meta){
			  		return meta.row+1;
			  	}},
	            {data: 'kode_perkiraan', name: 'kode_perkiraan'},
	            {data: 'nama_perkiraan', name: 'nama_perkiraan'},
	            {data: 'saldo_normal', name: 'saldo_normal'},
	            {data: 'saldo_awal', name: 'saldo_awal'},
	            // {data: 'tanggal', name:'tanggal'},
	            {data: 'aksi', name: 'aksi', orderable: false, searchable: false}
	        ],
	        createdRow : function(row, data, index) {
	        	arrIdAkunSaldo.push(data.id_perkiraan);
			},
		});
	 	
		get_parent();
		
	})	

	$("#btn_tambah_perkiraan").click(function(){
		$("[name=popup_temp_idperkiraan]").val(0);
		var idTanggalSaldoAwal = $("[name=id_tanggal_saldoawal]").val() || 0;
		if(idTanggalSaldoAwal==0){
			swal("Tanggal Saldo Awal", "Atur terlebih dahulu tanggal saldo awal", "info");
		}else{
			$("[name=popup_perkiraan]").next(".select2-container").show();
			// $("#popup_perkiraanedit").hide();
			// $("[name=popup_perkiraanedit").hide();

			$("[name=popup_id]").val('');
			$("[name=popup_perkiraan]").val('').trigger('change');
			$("[name=popup_nominal]").val('');
			$("#help_nominal").text('');
			$("#exampleModal").modal("show");
		}
	})

	$("[name=popup_nominal]").keyup(function(){
		var id = $(this).val();
		$("#help_nominal").text(accounting.formatMoney(id));
	})

	$("[name=popup_perkiraan]").change(function(){
		var perkiraan = $(this).val();
		var id = $("[name=popup_id]").val();
		var temp_perkiraan = $("[name=popup_temp_idperkiraan]").val();
		// var tahun = $("[name=popup_perkiraan] :selected").attr('tahun');
		var akunAda = arrIdAkunSaldo.includes(perkiraan);

		if(akunAda && id==""){
			$("#btn_popup_simpan").attr("disabled", "");
			$(".popup_status_id_perkiraan").html("Akun sudah ditambahkan.");
		}else{
			$("#btn_popup_simpan").removeAttr("disabled");
			$(".popup_status_id_perkiraan").html("");

			if(akunAda && perkiraan!=temp_perkiraan){
				$("#btn_popup_simpan").attr("disabled", "");
				$(".popup_status_id_perkiraan").html("Akun sudah ditambahkan.");
			}
		}
	})

	function get_parent(){
		var id_saldoawal = $("[name=id_tanggal_saldoawal]").val();
		$.ajax({
			url: '{{ url('saldoawal/get_parent') }}',
			type: 'get',
			dataType: 'json',
			success: function(result){
				if(Object.keys(result).length > 0){
					$("[name=popup_perkiraan").append('<option value="">---- Pilih Perkiraan ----</option>');
					for(i in result){
						$("[name=popup_perkiraan]").append('<option value="'+i+'">'+result[i]+'</option>');
					}
				}
			}
		})
		
	}

	function edit(id){
		// $("[name=popup_perkiraan]").next(".select2-container").hide();
		// $("#popup_perkiraanedit").show();
		// $("[name=popup_perkiraanedit]").hide();
		var id_perkiraan = $("#tabel_idperkiraan"+id).val();
		var nama_perkiraan = $("#tabel_namaperkiraan"+id).val();
		var kode_perkiraan = $("#tabel_kodeperkiraan"+id).val();
		var nominal = $("#tabel_nominal"+id).val();
		// var tgl_awal = $("#tabel_tglawal"+id).val();
		// var tgl_akhir = $("#tabel_tglakhir"+id).val();
		var tahun = $("#tabel_tahun"+id).val();

		$("[name=popup_id]").val(id);
		$("[name=popup_temp_idperkiraan]").val(id_perkiraan);
		$("[name=popup_perkiraan]").val(id_perkiraan).trigger("change");
		// $("[name=popup_perkiraanedit]").val(id_perkiraan);
		// $("#popup_perkiraanedit").val(kode_perkiraan+' - '+nama_perkiraan);
		$("[name=popup_nominal]").val(nominal);
		$("#help_nominal").text(accounting.formatMoney(nominal));

		$("#exampleModal").modal('show');
				

	}

	function hapus(id){
		swal({
			title: 'Anda yakin akan menghapus item ini?',
			type: 'warning',
			showCancelButton: true,
			confirmButtonColor: '#3085d6',
			cancelButtonColor: '#d33',
			confirmButtonText: 'Ya',
			cancelButtonText: 'Tidak',
		}).then((result) => {
		 	if(result.value){
		 		$.ajax({
					url: "{{ url('saldoawal/hapus')}} ",
					type: 'post',
					data: {id : id},
					headers : {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					},
					success: function(respon){
						arrIdAkunSaldo = [];
						tp.ajax.reload();
					}
				})
		 	}
		})
	}

	$("#btn_popup_simpan").click(function(){
		var id = $("[name=popup_id]").val();
		var id_tanggal_saldoawal = $("[name=id_tanggal_saldoawal]").val();
		
		var nominal = $("[name=popup_nominal").val();
		// var tgl_awal = $("[name=tglawal]").val();
		// var tgl_akhir = $("[name=tglakhir").val();
		// var tahun  = $("[name=popup_tahun]").val();

		// if(id == 0 || id == ''){
		var perkiraan = $("[name=popup_perkiraan]").val();
		// }else{		
		// var perkiraan = $("[name=popup_perkiraanedit]").val();
		// }
		if(perkiraan != '' && nominal != ''){
			$.ajax({					
					url: "{{ url('saldoawal/simpan') }}",
					type: 'post',
					dataType: 'json',
					data: {
						id : id,
						perkiraan : perkiraan,
						nominal : nominal,
						/*tgl_awal : tgl_awal,
						tgl_akhir : tgl_akhir,
						tahun : tahun,*/
						id_tanggal_saldoawal : id_tanggal_saldoawal
					},
					headers : {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					},
					success: function(result){
						arrIdAkunSaldo = [];
						tp.ajax.reload();
						$("#exampleModal").modal('hide');
					}
				})
		}

	})
</script>
@endsection